Bug 13946 - Change order status 'Pending' to ordered like in database
Summary: Change order status 'Pending' to ordered like in database
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-02 14:12 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13946: Change order status 'Pending' to 'Ordered' (2.26 KB, patch)
2015-05-25 09:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13946: Change order status 'Pending' to 'Ordered' (2.40 KB, patch)
2015-05-26 08:09 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13946: Change order status 'Pending' to 'Ordered' (2.47 KB, patch)
2015-05-26 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13946: Change order status 'Pending' to 'Ordered' (2.52 KB, patch)
2015-05-29 16:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13946: Change order status 'Pending' to 'Ordered' (2.52 KB, patch)
2015-05-29 16:01 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-02 14:12:14 UTC
The order status seen in the pull down list on the advanced acquisition search lists:

- new
- pending
- partially received
- ...

I suggest changing 'pending' to 'ordered' as this is a bit more clear and also matches the status as it is stored in the database.

Additional bonus for translation: no clash with the pending status for suggestions, that has a different meaning (= waiting to be processed).
Comment 1 Katrin Fischer 2015-05-25 09:26:31 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2015-05-26 08:09:26 UTC
Patch tested with a sandbox, by Cédric Vita <cedric.vita@dracenie.com>
Comment 3 sandboxes@biblibre.com 2015-05-26 08:09:42 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-05-26 11:19:03 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-05-27 17:36:31 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Kyle M Hall 2015-05-29 16:01:20 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-05-29 16:01:58 UTC
Created attachment 39702 [details] [review]
Bug 13946: Change order status 'Pending' to 'Ordered'

The order status after closing the basket is 'ordered' in the
database, but displays as 'pending' in the staff interface.

As we use 'pending' when you have to review a suggestion, this
clashes in translations and the meaning is different. The patch
renames 'pending' for the order status to 'Ordered' to be more
clear.

To test:
- Verfiy 'Ordered' shows in the pull down on the acq advanced
  search and search still works correctly
- Verify the results table also display 'Ordered' as the status

Signed-off-by: Cédric Vita <cedric.vita@dracenie.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 8 Chris Cormack 2015-06-03 07:57:44 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 9 Liz Rea 2015-06-22 22:38:27 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 10 Mason James 2015-07-25 09:49:39 UTC
Pushed to 3.16.x, will be in 3.16.13